OpenSSL vulnerability and Plymouth University

In the last few days there has been plenty of comment through the web and national news surrounding the OpenSSL vulnerability (code named Heartbleed). Plymouth University’s Service Management team have been undertaking a course of action to determine which, if any systems (including updating as appropriate) are affected by this vulnerability.

The vulnerability has affected large portions of the internet, specifically providers of service (such as Amazon web services etc.). A lot of providers are contacting users’ about the best practice of changing passwords regularly and advocating this in the near future.

In general, thanks to the single sign on work Plymouth University resources are not affected in the same manner, although it is always advisable to change your password on a regular basis.

Leave a Reply

Your email address will not be published. Required fields are marked *